[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

OpenShift Ansible (3.6) "expects to merge two dicts" error



I’ve just run the Ansible configuration playbook for OpenShift 3.6 ("playbooks/byo/config.yml”) using the a recent tag ("openshift-ansible-3.6.173.0.120-1”) with Ansible 2.6.1 and got the following error: -

TASK [openshift_hosted_facts : Set hosted facts] ****************************************************************
Sunday 08 July 2018  09:35:31 +0100 (0:00:00.074)       0:03:48.518 *********** 
fatal: [18.195.236.210]: FAILED! => {"msg": "|failed expects to merge two dicts"}


It’s OK with Ansible 2.5.3.

Looks like it might be related to https://github.com/openshift/openshift-ansible/issues/4985?

I appreciate 3.6 is a few version behind now and I have not tried the playbooks for 3.7 or 3.9 but I assume we can expect support for Ansible 2.6 in the OpenShift playbooks?

Alan Christie


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]